Bug 1710219 - Review Request: R-rappdirs - Determine Where to Save Data, Caches, and Logs
Summary: Review Request: R-rappdirs - Determine Where to Save Data, Caches, and Logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-15 06:33 UTC by Elliott Sales de Andrade
Modified: 2019-07-03 02:01 UTC (History)
2 users (show)

Fixed In Version: R-rappdirs-0.3.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 01:16:17 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-05-15 06:33:48 UTC
Spec URL: https://qulogic.fedorapeople.org//R-rappdirs.spec
SRPM URL: https://qulogic.fedorapeople.org//R-rappdirs-0.3.1-1.fc30.src.rpm

Description:
An easy way to determine which directories on the users computer you should use
to save data, caches and logs. A port of Python's 'Appdirs'
(https://github.com/ActiveState/appdirs) to R.

Comment 1 Elliott Sales de Andrade 2019-05-15 06:34:39 UTC
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=34866298

Comment 2 José Matos 2019-05-16 09:44:23 UTC
The spec is simple and well written. The license is correct and acceptable for Fedora.

fedora-review complains about:

- Package have the default element marked as %%doc :doc, DESCRIPTION

This is a non issue.

- Package requires R-core.
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/

These are also non issue because since the spec requires R-devel that requires R-core-devel.
R-core-devel requires both R-core as well as the gcc compilers so this issue is moot.
The requirement is indirect but natural so nothing to note here. :-)

With all that said the package is approved.

Comment 3 Gwyn Ciesla 2019-05-16 14:00:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-rappdirs

Comment 4 Fedora Update System 2019-06-22 00:12:12 UTC
FEDORA-2019-8bb82985f7 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bb82985f7

Comment 5 Fedora Update System 2019-06-22 00:12:42 UTC
FEDORA-2019-ae8e7f27b3 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae8e7f27b3

Comment 6 Fedora Update System 2019-06-23 00:55:13 UTC
R-rappdirs-0.3.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8bb82985f7

Comment 7 Fedora Update System 2019-06-23 11:45:35 UTC
R-rappdirs-0.3.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae8e7f27b3

Comment 8 Fedora Update System 2019-07-03 01:16:17 UTC
R-rappdirs-0.3.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-07-03 02:01:28 UTC
R-rappdirs-0.3.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.